package com.scpyun.platform.jilinsscgsdp.bean.entity;

import com.scpyun.base.bean.User;

import java.math.BigDecimal;
import java.util.List;

public class EventCategory {

    private String id;
    private String value;
    private String label;
    private String type;
    private String parent_id;
    private BigDecimal sort;
    private List<EventCategory> child;
    private User _user;
    private String is_easy;
    private String del_flag;

    public String getDel_flag() {
        return del_flag;
    }

    public void setDel_flag(String del_flag) {
        this.del_flag = del_flag;
    }

    public String getIs_easy() {
        return is_easy;
    }

    public void setIs_easy(String is_easy) {
        this.is_easy = is_easy;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public BigDecimal getSort() {
        return sort;
    }

    public void setSort(BigDecimal sort) {
        this.sort = sort;
    }

    public List<EventCategory> getChild() {
        return child;
    }

    public void setChild(List<EventCategory> child) {
        this.child = child;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getParent_id() {
        return parent_id;
    }

    public void setParent_id(String parent_id) {
        this.parent_id = parent_id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
